# Optimasi Pembelian Barang dengan Analisis Penjualan menggunakan Association Rule Mining

## Deskripsi Proyek
Proyek ini merupakan bagian dari skripsi yang bertujuan untuk mengoptimalkan stok barang di sebuah toko dengan menerapkan analisis penjualan menggunakan metode Association Rule Mining. Association Rule Mining merupakan teknik dalam data mining yang digunakan untuk menemukan pola atau asosiasi antara item-item dalam dataset transaksi. Dengan menganalisis pola pembelian konsumen, toko dapat membuat strategi yang lebih efektif dalam pengelolaan stok barang, seperti menentukan produk-produk yang sering dibeli bersamaan atau menetapkan promosi produk yang tepat.

## Fitur Utama
1. **Upload Dataset**: Pengguna dapat mengunggah dataset transaksi penjualan dalam format CSV.
2. **Prapemrosesan Data**: Dataset akan diproses untuk memastikan bahwa format tanggal dan kolom-kolom lain sesuai dengan persyaratan analisis.
3. **Analisis Penjualan**: Menampilkan ringkasan dataset transaksi penjualan, termasuk jumlah produk yang terjual, jumlah transaksi, dan produk terlaris.
4. **Association Rule Mining**: Melakukan analisis Association Rule Mining menggunakan algoritma Apriori untuk menemukan aturan asosiasi antara produk.
5. **Rekomendasi Pembelian Barang**: Berdasarkan hasil analisis, memberikan rekomendasi stok barang yang harus dibeli untuk meningkatkan penjualan.

## Persyaratan Sistem
- Python 3.9
- Libraries: Pandas, Streamlit, PIL (Pillow), Seaborn, Matplotlib, Re, Mlxtend, Datetime


